##
##  mhonarc.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mhonarc
Summary:      Mail to HTML Conversion Tool
URL:          http://www.mhonarc.org/
Vendor:       Earl Hood
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Converter
License:      GPL
Version:      2.5.14
Release:      20021222

#   list of sources
Source0:      http://www.mhonarc.org/tar/MHonArc%{version}.tar.bz2

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl
PreReq:       OpenPKG, openpkg >= 20020206, perl
AutoReq:      no
AutoReqProv:  no

%description
    MHonArc is a Perl mail-to-HTML converter. MHonArc provides HTML mail
    archiving with index, mail thread linking, etc; plus other capabilities
    including support for MIME and powerful user customization features.

%prep
    %setup -q -n MHonArc%{version}

%build
    #   no-op

%install
    rm -rf $RPM_BUILD_ROOT

    #   perform standard installation procedure
    %{l_prefix}/bin/perl install.me \
        -batch \
        -prefix $RPM_BUILD_ROOT%{l_prefix} \
        -binpath $RPM_BUILD_ROOT%{l_prefix}/bin \
        -docpath $RPM_BUILD_ROOT%{l_prefix}/share/mhonarc \
        -libpath $RPM_BUILD_ROOT%{l_prefix}/libexec/mhonarc \
        -manpath $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        -perl %{l_prefix}/bin/perl

    #   post-fix paths in installation files
    for prog in mhonarc mha-dbedit mha-dbrecover mha-decode; do
        %{l_shtool} subst \
             -e "s;$RPM_BUILD_ROOT%{l_prefix}/libexec;%{l_prefix}/libexec;g" \
             $RPM_BUILD_ROOT%{l_prefix}/bin/$prog
    done

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

